Load a SMO JSON file

### Hierarchy

- SuiDialogAdapterBase<SuiSmoLoadAdapter>
  - SuiLoadFileDialog

## Index

### Constructors

- constructor

### Properties

- dgDom

### Methods

- bindComponents
- bindElements
- cancel
- changed
- commit
- getEventSource
- getId
- getModifier
- getStaticText
- getView
- initialValue
- remove

## Constructors

### constructor

- new SuiLoadFileDialog(parameters: SuiDialogParams): SuiLoadFileDialog

- Overrides SuiDialogAdapterBase.constructor

  - Defined in src/ui/dialogs/fileDialogs.ts:67

  #### Parameters

  - ##### parameters: SuiDialogParams

  #### Returns SuiLoadFileDialog

## Properties

### dgDom

dgDom: DialogDom

Inherited from SuiDialogAdapterBase.dgDom

- Defined in src/ui/dialogs/dialog.ts:180

## Methods

### bindComponents

- bindComponents(): void

- Inherited from SuiDialogAdapterBase.bindComponents

  - Defined in src/ui/dialogs/adapter.ts:85

  Call the components bind() methods to activate them. Also, verify that each adapter meets the contract with the components

  #### Returns void

### bindElements

- bindElements(): void

- Inherited from SuiDialogAdapterBase.bindElements

  - Defined in src/ui/dialogs/adapter.ts:142

  Binds the main dialog buttons. For OK/Cancel/remove, the logic calls the appropriate derived function, which calls the appropriate adapter method, then calls complete() to restore the event handling loop to the application

  #### Returns void

### cancel

- cancel(): void

- Inherited from SuiDialogAdapterBase.cancel

  - Defined in src/ui/dialogs/adapter.ts:128

  If there is any undo or restore to be done when the dialog clicks OK, that is handled by the adapter. Else it can be a noop.

  #### Returns void

### changed

- changed(): void

- Overrides SuiDialogAdapterBase.changed

  - Defined in src/ui/dialogs/fileDialogs.ts:73

  When a component changes, it notifies the parent dialog. Usually, we just proxy the call to the adapter. The specific dialog can override this method if something in the UI needs to change as a result of the component state (e.g. show or hide another component)

  #### Returns void

### commit

- commit(): void

- Overrides SuiDialogAdapterBase.commit

  - Defined in src/ui/dialogs/fileDialogs.ts:78

  If there is any 'saving' to be done when the dialog clicks OK, that is handled by the adapter. Else it can be a noop.

  #### Returns void

### getEventSource

- getEventSource(): BrowserEventSource

- Inherited from SuiDialogAdapterBase.getEventSource

  - Defined in src/ui/dialogs/dialog.ts:283

  Used by text editing components that are also event sinks

  #### Returns BrowserEventSource

### getId

- getId(): string

- Inherited from SuiDialogAdapterBase.getId

  - Defined in src/ui/dialogs/dialog.ts:277

  returns the DOM id of the dialog.

  #### Returns string

### getModifier

- getModifier(): null | SmoModifier

- Inherited from SuiDialogAdapterBase.getModifier

  - Defined in src/ui/dialogs/dialog.ts:280

  gets the 'modifier' from parent dialog, used by text editors. Most components won't need this.

  #### Returns null | SmoModifier

### getStaticText

- getStaticText(): Record<string, string>

- Inherited from SuiDialogAdapterBase.getStaticText

  - Defined in src/ui/dialogs/dialog.ts:286

  Gets the static text <string, string> for the current language. this is used by components that have different text labels for different states.

  #### Returns Record<string, string>

### getView

- getView(): SuiScoreViewOperations

- Inherited from SuiDialogAdapterBase.getView

  - Defined in src/ui/dialogs/dialog.ts:325

  gets the view from the parent

  #### Returns SuiScoreViewOperations

### initialValue

- initialValue(): void

- Inherited from SuiDialogAdapterBase.initialValue

  - Defined in src/ui/dialogs/adapter.ts:99

  Called before dialog is displayed. components that interface (bind) with the adapter are called 'bound' components. On initialize, update the component with the score value, as told by the adapter.

  #### Returns void

### remove

- remove(): void

- Inherited from SuiDialogAdapterBase.remove

  - Defined in src/ui/dialogs/adapter.ts:134

  For score artifacts that can be removed,

  #### Returns void

Generated using TypeDoc